com.lowagie.text.pdf

## Class PdfDocument.PdfInfo

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfDocument.PdfInfo

- Enclosing class:
    PdfDocument

      public static class PdfDocument.PdfInfo
      extends PdfDictionary

  `PdfInfo` is the PDF InfoDictionary.

  A document's trailer may contain a reference to an Info dictionary that provides information about the document. This optional dictionary may contain one or more keys, whose values should be strings.
  This object is described in the 'Portable Document Format Reference Manual version 1.3' section 6.10 (page 120-121)

  Since:
    2.0.8 (PdfDocument was package-private before)

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfDocument.PdfInfo()` Construct a `PdfInfo`-object.
    `PdfDocument.PdfInfo(java.lang.String author, java.lang.String title, java.lang.String subject)` Constructs a `PdfInfo`-object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addAuthor(java.lang.String author)` Adds the name of the author to the document.
    `(package private) void` | `addCreationDate()` Adds the date of creation to the document.
    `(package private) void` | `addCreator(java.lang.String creator)` Adds the name of the creator to the document.
    `(package private) void` | `addkey(java.lang.String key, java.lang.String value)`
    `(package private) void` | `addKeywords(java.lang.String keywords)` Adds some keywords to the document.
    `(package private) void` | `addProducer()` Adds the name of the producer to the document.
    `(package private) void` | `addSubject(java.lang.String subject)` Adds the subject to the document.
    `(package private) void` | `addTitle(java.lang.String title)` Adds the title of the document.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfDocument.PdfInfo

          PdfDocument.PdfInfo()

      Construct a `PdfInfo`-object.

    - #### PdfDocument.PdfInfo

          PdfDocument.PdfInfo(java.lang.String author,
                             java.lang.String title,
                             java.lang.String subject)

      Constructs a `PdfInfo`-object.
      Parameters:
        `author` - name of the author of the document
        `title` - title of the document
        `subject` - subject of the document

  - ### Method Detail

    - #### addTitle

          void addTitle(java.lang.String title)

      Adds the title of the document.
      Parameters:
        `title` - the title of the document

    - #### addSubject

          void addSubject(java.lang.String subject)

      Adds the subject to the document.
      Parameters:
        `subject` - the subject of the document

    - #### addKeywords

          void addKeywords(java.lang.String keywords)

      Adds some keywords to the document.
      Parameters:
        `keywords` - the keywords of the document

    - #### addAuthor

          void addAuthor(java.lang.String author)

      Adds the name of the author to the document.
      Parameters:
        `author` - the name of the author

    - #### addCreator

          void addCreator(java.lang.String creator)

      Adds the name of the creator to the document.
      Parameters:
        `creator` - the name of the creator

    - #### addProducer

          void addProducer()

      Adds the name of the producer to the document.

    - #### addCreationDate

          void addCreationDate()

      Adds the date of creation to the document.

    - #### addkey

          void addkey(java.lang.String key,
                    java.lang.String value)